# SendContact - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send / SendContact

# SendContact

(common) `data class SendContact : SendMessageRequest<ContentMessage<ContactContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<ContactContent>>` (source)

### Constructors

(common)

#### <init>

`SendContact(chatId: ChatIdentifier, contact: Contact, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`
`SendContact(chatId: ChatIdentifier, phoneNumber: String, firstName: String, lastName: String? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### firstName

`val firstName: String`

(common)

#### lastName

`val lastName: String?`

(common)

#### phoneNumber

`val phoneNumber: String`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<ContactContent>>`

### Functions

(common)

#### method

`fun method(): String`